Bug 1344603 - missing { and invalid keyword thrown when multipath -l is executed on the nodes.
Summary: missing { and invalid keyword thrown when multipath -l is executed on the nodes.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1351522
TreeView+ depends on / blocked
 
Reported: 2016-06-10 07:24 UTC by RamaKasturi
Modified: 2019-04-03 10:07 UTC (History)
4 users (show)

Fixed In Version: gdeploy-2.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:33:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description RamaKasturi 2016-06-10 07:24:25 UTC
Description of problem:
Executing multipath -l displays the following missing and in invalid keyword error when HC nodes are setup using gdeploy.

Jun 10 11:28:49 | missing '{' on line 34 of /etc/multipath.conf
Jun 10 11:28:49 | invalid keyword '{' on line 35 of /etc/multipath.conf

Currently disable-multipath.sh  script has the code for blacklisting devices in the following way 

blacklist
{
        devnode "*"
}

The above has to be changed to 

blacklist {
        devnode "*"
}


Version-Release number of selected component (if applicable):
gdeploy-2.0-16.el7rhgs.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install HC nodes using gdeploy.
2. Run multipath -l command on the node once gdeploy finishes installing.
3.

Actual results:
Jun 10 11:28:49 | missing '{' on line 34 of /etc/multipath.conf
Jun 10 11:28:49 | invalid keyword '{' on line 35 of /etc/multipath.conf

Expected results:
Above error should not be displayed.

Additional info:

Comment 2 SATHEESARAN 2016-06-16 09:20:55 UTC
There is no functional impact, all the lvm commands works good, but the multipath -l throws error.

Comment 3 Sachidananda Urs 2016-06-16 10:09:00 UTC
Commit: https://github.com/gluster/gdeploy/commit/bf97176129a755af703bf5341b28f7a26d1b0b59 fixes this.

Comment 5 SATHEESARAN 2016-11-04 08:06:30 UTC
Tested with gdeploy-2.0.1-2

The braces are placed correctly as follows :

blacklist {
        devnode "*"
}

Comment 7 errata-xmlrpc 2017-02-07 11:33:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.